﻿<html>
<head>
    <style>
        body {
            font-family: Arial,Helvetica Neue,Helvetica,sans-serif;
        }

        #minimapGrid {
            position: absolute;
            top: 10px;
            left: 10px;
            z-index: 1;
        }

        #minimapOverlay {
            position: absolute;
            top: 10px;
            left: 10px;
            z-index: 2;
        }

        statistics {
            position: absolute;
            top: 10px;
            right: 10px;
            background-color: #f1f1f1;
            height: 300px;
        }
    </style>
</head>
<body>
    <minimap>
        <img id="minimapGrid" src="/api/minimap/grid" />
        <img id="minimapOverlay" src="/api/minimap/overlay" />
    </minimap>
    <statistics>
        <div>
            Producers: <span id="producerCount">0</span>
        </div>
        <div>
            Fruits: <span id="fruitCount">0</span>
        </div>
        <div>
            Consumers: <span id="consumerCount">0</span>
        </div>
        <div><br/></div>
        <div>
            Minimap draw: <span id="minimapDrawDuration">0</span> ms (avg.)
        </div>
        <div>
            Simulation: <span id="simulationDuration">0</span> ms (avg.)
        </div>
    </statistics>
    <script>
        setInterval(function () {
            fetch("/api/metrics")
                .then((response) => response.json())
                .then(function (json) {
                    window.document.getElementById("consumerCount").textContent = json.consumerCount;
                    window.document.getElementById("producerCount").textContent = json.producerCount;
                    window.document.getElementById("fruitCount").textContent = json.fruitCount;
                    window.document.getElementById("minimapDrawDuration").textContent = json.averageMinimapDrawDuration;
                    window.document.getElementById("simulationDuration").textContent = json.averageSimulationDuration;
                });

            window.document.getElementById("minimapOverlay").src = "/api/minimap/overlay?" + new Date().getTime();
        }, 500);
    </script>
</body>
</html>
